<!-- tabla de todos los usuarios traidos de la base de datos -->

<button class="btn btn-primary" routerLink="/perfil">Back</button>
<br />
<h1 class="text-cent justify-content-center">Users</h1>
<table class="table table-striped">
  <thead>
    <tr>
      <th scope="col">Id</th>
      <th scope="col">User</th>
      <th scope="col">Role</th>
      <th scope="col">View</th>
      <th scope="col">Delete</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let user of dbUsers">
      <th scope="row">#{{ user._id }}</th>
      <td class="text-capitalize">{{ user.name }} {{ user.surname }}</td>
      <td>{{ user.role }}</td>
      <td>
        <button class="btn btn-primary" (click)="goView(user._id)">View</button>
      </td>
      <td>
        <button class="btn btn-danger" (click)="deleteUser(user._id)">
          Delete
        </button>
      </td>
    </tr>
  </tbody>
</table>
